/***
 * 
 * Felipe Brahm
 * Ayudante de Ctedra
 * Introduccin a la Programacin - IIC1103
 * Pontificia Universidad Catlica de Chile
 *
 * lebrahm <at> uc <punto> cl
 * http://felipebrahm.com
 *
 * (CC)2008-2010
 * 
 * */

/*
	ENUNCIADO:

	Un astrnomo necesita un programa para calcular la distancia entre dos puntos de un plano. Escriba un programa que tenga a lo menos un mtodo y cumpla con las siguientes caractersticas:
	
		Pedir al usuario las coordenadas de los dos puntos.
		Calcular la distancia entre los dos puntos.
		Mostrar en pantalla el resultado.
		Seguir ejecutando la aplicacin hasta que el usuario elija la opcin de salir.
	
	HINT: La distancia entre dos puntos de un plano puede calcularse con la siguiente ecuacin:
	
	d = sqrt( (x2 - x1)^2 + (y2 - y1)^2 )
*/

import iic1103Package.*;

public class Distancia {

	public static void main(String[] args) {
		
		boolean salir = false;
		
		while(!salir) {
			
			double x1 = Usuario.real("X1:");
			double y1 = Usuario.real("Y1:");
			
			double x2 = Usuario.real("X2:");
			double y2 = Usuario.real("Y2:");
			
			Usuario.mensaje("Distancia entre los dos puntos: " + getDistancia(x1, y1, x2, y2));
			
			int decision;
			do {
				decision = Usuario.entero("1. Continuar.\n2. Salir");
			} while(decision != 1 && decision != 2);

			if(decision == 2)
				salir = true;
			
			//otra opcin hubiera sido poner lo siguiente para salir del while:
			//if(decision == 2)
			//	break;
			
		}

	}
	
	public static double getDistancia(double x1, double y1, double x2, double y2) {
		
		double pontencia1 = Math.pow((x2-x1),2);
		double pontencia2 = Math.pow((y2-y1),2);
	    double distanciaEntreDosPuntos = Math.sqrt(pontencia1 + pontencia2);

        return distanciaEntreDosPuntos;
		
	}

}